# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package WebReportUtilities;

my $config_file = "/etc/scmbug/WebReports.conf";

use strict;
use CGI qw(:standard);
use Scmbug::Common;
use CustomData;

my $webreports_config;


#
# Reads the configuration file
#
sub new {
    my $type = shift;
    my $self = {};

    bless $self, $type;

    my $file_content = file_content( $config_file );
    eval $file_content;
    
    bless $webreports_config;
    return $self;
}

sub update {
    my $self = shift;

    # If you wanted to read values from your bug tracker in order to populate
    # things like OSs, version, stages, dbtypes, manager then it is best
    # to reset the values here
    my $custom_data = CustomData->new($self);
    $webreports_config = $custom_data->update_config_data();
}


#
# Reads the configuration file provided for the glue
#
sub webreports_config {
    my $self = shift;

    return $webreports_config;
}

#
# Converts a string from text to html replacing special characters
#
sub get_html_format {
    my $self = shift;
    my ( $text ) = ( @_ );

    if( "$text" eq "" ) {
	return "";
    }

    my $html_format = $text;
    $html_format =~ s/</&lt;/g;
    $html_format =~ s/>/&gt;/g;

    return $html_format;
}

#
# Prints the standard header with image if configured
#
sub standard_header
{
    my $self = shift;
    my $heading_text = shift;

    print header, start_html($heading_text);
    print "<body>";
    if( defined($webreports_config->{heading_banner}) && $webreports_config->{heading_banner} ne "" ) {
        print "<IMG src=\"" . $webreports_config->{heading_banner} . "\">";
    }
    print h2($heading_text);
}



1;
