# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package Scmbug::Daemon::Request;

use strict;


# Constructor
sub new {
    my $type = shift;
    my $self = {};
    return bless $self, $type;
}


# Adds one result of this request
sub add_result {
   my $self = shift;
   my ( $value, $message ) = ( @_ );

   push @{ $self->{ result } }, { return_value => $value,
				  message => $message };
}


# Reports if the request contains result messages indicating the
# request failed
sub result_failed {
    my $self = shift;

    foreach my $result ( @{ $self->{ result } } ) {
	if ( $result->{ return_value } != 0 ) {
	    return 1;
	}
    }
    return 0;
}


# Reports all the messages that resulted from processing the request
sub result_messages {
    my $self = shift;
    my $messages = "";

    foreach my $result ( @{ $self->{ result } } ) {
	if ( $result->{ return_value } != 0 ) {
	    $messages .= $result->{ message };
	}
    }
    return $messages;
}



1;
